Package org.eclipse.net4j.util.event

# Class ThrowableEventAdapter.ToPrintStream

java.lang.Object
org.eclipse.net4j.util.event.ThrowableEventAdapter
org.eclipse.net4j.util.event.ThrowableEventAdapter.ToPrintStream

All Implemented Interfaces:
  `EventListener`, `IListener`

Enclosing class:
  ThrowableEventAdapter

public static class ThrowableEventAdapter.ToPrintStream extends ThrowableEventAdapter
Prints the stack traces of throwable `events` to a `PrintStream`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.ThrowableEventAdapter

`ThrowableEventAdapter.ToPrintStream`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ThrowableEventAdapter.ToPrintStream`
`CONSOLE`

## Constructor Summary

Constructors
Constructor
Description
`ToPrintStream(PrintStream out)`

## Method Summary

Modifier and Type
Method
Description
`final PrintStream`
`getOut()`
`protected void`
`onThrowable(INotifier source, Throwable t)`

### Methods inherited from class org.eclipse.net4j.util.event.ThrowableEventAdapter

`notifyEvent, notifyLifecycleEvent, notifyOtherEvent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONSOLE

public static final ThrowableEventAdapter.ToPrintStream CONSOLE

## Constructor Details

### ToPrintStream

public ToPrintStream(PrintStream out)

## Method Details

### getOut

public final PrintStream getOut()

### onThrowable

protected void onThrowable(INotifier source, Throwable t)

Overrides:
  `onThrowable` in class `ThrowableEventAdapter`